Loading...
Searching...
No Matches
align_pairwise.hpp File Reference

Provides pairwise alignment function. More...

`#include <concepts>`
`#include <functional>`
`#include <iostream>`
`#include <ranges>`
`#include <tuple>`
`#include <type_traits>`
`#include <seqan3/alignment/pairwise/alignment_configurator.hpp>`
`#include <seqan3/alignment/pairwise/alignment_result.hpp>`
`#include <seqan3/alignment/pairwise/detail/concept.hpp>`
`#include <seqan3/alignment/pairwise/detail/type_traits.hpp>`
`#include <seqan3/core/algorithm/algorithm_result_generator_range.hpp>`
`#include <seqan3/core/algorithm/detail/algorithm_executor_blocking.hpp>`
`#include <seqan3/utility/simd/simd.hpp>`
`#include <seqan3/utility/simd/simd_traits.hpp>`
`#include <seqan3/utility/type_traits/basic.hpp>`
Include dependency graph for align_pairwise.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Functions

template<typename sequence_t, typename alignment_config_t> requires detail::align_pairwise_single_input<sequence_t> && std::copy_constructible<std::remove_reference_t<sequence_t>> && detail::is_type_specialisation_of_v<alignment_config_t, configuration>
constexpr auto | seqan3::align_pairwise (sequence_t &&seq, alignment_config_t const &config)
| Computes the pairwise alignment for a pair of sequences or a range over sequence pairs.

## Detailed Description

Provides pairwise alignment function.

Author
  Rene Rahn <rene.rahn AT fu-berlin.de>

Hide me